function [v,cv]=Vcrosscov(x,M)
% forms sample variance v and cross-covariances cv of m-dim series x to max lag M. 
% series is assumed to be rows x if first dimension lower than second, else transpose of x is used
% disp('Release version of Vcrosscov')
[a,b]=size(x);
if a>b
    xx=x';
else
    xx=x;
end
[m,n]=size(xx);
cv=zeros(m,m,M);
v=zeros(m,m);
v=cov(xx',1);
xm =mean(xx');
for k=1:M
for i=1:m;
    for j=1:m;
        sumpr=0;
        for t=1+k:n
            sumpr=sumpr+(xx(i,t)-xm(i))*(xx(j,t-k)-xm(j));
        end
        cv(i,j,k)=sumpr/n;
    end  
end
end
return
    