function C=covfunform(phi,m,p)
% given mxm polynomial with coefficients in phi forms coefficients of 
% matrix covariance function C(z)=ph(z)*phi(z^-1)'
% disp('Release version of covfunform')
C=zeros(m,m,p+1);
Z=zeros(m,m);
for k=0:p
    sumC=Z;
    for n=0:p-k
        sumC=sumC+squeeze(phi(:,:,n+k+1))*squeeze(phi(:,:,n+1))';
    end
    C(:,:,k+1)=sumC;
end
