function [L,C]=hhrv(F)
% forms reflection vector L of householder transformation that maps F to [C;zeros]
%
% disp('Release version of hhrv')
%
a=F(1);
s=(2*(a>0)-1);
b=F(2:length(F));
h=norm(F);
r=sqrt((1+a*s/h)/2);
L=[r*s;b/(2*r*h)];
C=-h*s;
return
